Bug 1845112

Summary: Installer deploys outdated version of pxegrub2 mac template to TFTP
Product: Red Hat Satellite Reporter: Roman Plevka <rplevka>
Component: InstallationAssignee: Lukas Zapletal <lzap>
Status: CLOSED ERRATA QA Contact: Devendra Singh <desingh>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.8.0CC: egolov, lzap, zhunting
Target Milestone: 6.8.0Keywords: Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: foreman-installer-2.1.2.8-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-10-27 13:03:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Roman Plevka 2020-06-08 13:41:45 UTC
Description of problem:
After installation, TFTP already contains grub.cfg deployed from outdate version of PXEGrub template:
[ see attachment "PXEGrub2_gd_old.txt"]

Despite the fact that the `pxegrub2_mac` snippet template looks different now:
[ see attachment "PXEGrub2_gd_new.txt"]


Version-Release number of selected component (if applicable):
6.8.0 snap3

How reproducible:
always

Steps to Reproduce:
1. install satellite (with tftp and httpboot enabled)
2. check the rendered template:
   http://sat.fqdn:8000/httpboot/grub2/grub.cfg
3. Build PXE Default template
4. check the tempalte agani
5. observe the differences

Actual results:
grub.cfg contains outdated content (from old versions) until it is manually redeployed

Expected results:
The grub.cfg deployed by installer should correspond to the version present on satellite

Comment 1 Bryan Kearney 2020-06-09 16:05:59 UTC
Upstream bug assigned to lzap

Comment 2 Bryan Kearney 2020-06-09 16:06:01 UTC
Upstream bug assigned to lzap

Comment 7 Lukas Zapletal 2020-10-01 13:58:24 UTC
Yes we have decided to require users to hit the Build PXE Default in order to boot unknown systems.

Comment 8 Devendra Singh 2020-10-01 14:04:33 UTC
Verified on 6.8.0 Snap17.

Comment 11 errata-xmlrpc 2020-10-27 13:03:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366